<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>HTML Attributes & Hyperlinks</title>
</head>
<body>
	<!--
		an HTML attribute do changes/modifies the default browser of an element
		by default, text is left-aligned. By adding the align attribute we will be able to change the alignment of our heading's text.

		attributes are added in the opening tag of an element.

		Syntax: <tagName attribute="value">text</tagName>
	-->

	<h1 align="center">HTML Attributes and Hyperlinks</h1>
	<h3 align="right">Modifiers of Element Behavior</h3>
	<!-- type attribute added to an ol can change the default numbered list to the desired type -->
	<!-- start attribute can determine which number we can start our ordered lists -->
	<!-- reveresed attribute changes the order of the numbering -->

	<ol type="a" start="6">
		<li>Item 1</li>
		<li>Item 2</li>
		<li>Item 3</li>
	</ol>
	<ol reversed>
		<li>Item 1</li>
		<li>Item 2</li>
		<li>Item 3</li>
	</ol>

	<!-- 
		tags that don't need closing tags are called self-closing tags and they don't contain other elements. one example is <img>
	 -->

	 <!-- 
	 	img tag comes with a src attribute which allows our image tag to locate the image file (.jpeg, .png, .svg, .gif)

	 	relative path
	 	- ./ html and image file are in the same folder
	 	- ../ image is in another folder one higher

	 	alt attribute - to give description or caption if the image cannot be loaded

	 	height and width - to change the size of the image in px
	 -->

	<img src="./images/img1.png" height="125px" width="125px" alt="HTML5 logo">
	<img src="./images/img2.png" height="125px" width="125px" alt="Jollibee logo">
	<img src="./images/img3.png" height="125px" width="125px" alt="motorcycle">

	<!-- MINI ACTIVITY 
		add hr
		add your name with h1
		display your photo using img tag
		add "Full Stack Web Developer" with h3

		use src att (relative path)
		set h and w to 300x300
		add alt
		add hr

	-->

	<hr/>
	<h1>Marnel Justine Brobio</h1>
	<img src="./images/img4.jpg" height="300px" width="300px" alt="My Photo - Marnel Justine B."/>
	<h3>Full Stack Web Developer</h3>
	<hr/>

	<!-- 
		absolute path - is added to locate an image or resource which is not on the same machine/server as the html file

		example: images from websites
	-->
	<img src="https://www.vocitec.com/images/article-images/orange-tint/tech-overview.jpg" height="300px" width="300px" alt="sample image">

	<h2>Links</h2>
	<!-- 
		links to be able to go to other html or web pages 

		a - anchor tag
			allow us to create a link  with a relative or absolute path
				- relative links are links to pages which are on the same machine or server as the current page
				- absolute links are links to which are on the other machine/server as the current page
	-->
	<a href="https://zuitt.co/">Go to Zuitt</a> <!-- this is absolute -->
	<a href="./link.html">Go to link page</a> <!-- this is relative -->


</body>
</html>